package be.iminds.ilabt.jfed.gts.model.impl;

import be.iminds.ilabt.jfed.gts.model.GtsOfx;
import javafx.beans.property.*;

/**
 * User: twalcari
 * Date: 6/5/2015
 * Time: 16:09
 */
public class FXGtsOfx  extends FXGtsHost implements GtsOfx {
    private final StringProperty controllerIPv4 = new SimpleStringProperty();
    private final SimpleObjectProperty<Integer> controllerPort = new SimpleObjectProperty<>();

    private final StringProperty fabricIPv4 = new SimpleStringProperty();
    private final StringProperty fabricSubnetmaskv4 = new SimpleStringProperty();

    FXGtsOfx(){}


    public String getControllerIPv4() {
        return controllerIPv4.get();
    }

    public StringProperty controllerIPv4Property() {
        return controllerIPv4;
    }

    public void setControllerIPv4(String controllerIPv4) {
        this.controllerIPv4.set(controllerIPv4);
    }

    @Override
    public Integer getControllerPort() {
        return controllerPort.get();
    }

    public SimpleObjectProperty<Integer> controllerPortProperty() {
        return controllerPort;
    }

    public void setControllerPort(Integer controllerPort) {
        this.controllerPort.set(controllerPort);
    }

    public String getFabricIPv4() {
        return fabricIPv4.get();
    }

    public StringProperty fabricIPv4Property() {
        return fabricIPv4;
    }

    public void setFabricIPv4(String fabricIPv4) {
        this.fabricIPv4.set(fabricIPv4);
    }

    public String getFabricSubnetmaskv4() {
        return fabricSubnetmaskv4.get();
    }

    public StringProperty fabricSubnetmaskv4Property() {
        return fabricSubnetmaskv4;
    }

    public void setFabricSubnetmaskv4(String fabricSubnetmaskv4) {
        this.fabricSubnetmaskv4.set(fabricSubnetmaskv4);
    }
}
